import { AssetManager } from "./asset-manager.js";
import type { ContentAsset, ContentAssetMetadataMap, ContentAssetMetadataMapEntry, ContentAssetMetadataMapEntryInline, ContentAssetMetadataMapEntryObjectStore } from "../../types/content-assets.js";
import type { StoreEntry } from "../../types/compute.js";
import type { ContentCompressionTypes } from "../../constants/compression.js";
export declare class ContentInlineAsset implements ContentAsset {
    readonly isInline: boolean;
    private readonly metadata;
    private readonly sourceAndHash;
    private readonly compressedSourcesAndHashes;
    constructor(metadata: ContentAssetMetadataMapEntryInline);
    get assetKey(): string;
    getStoreEntry(acceptEncodings?: ContentCompressionTypes[]): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
export declare class ContentObjectStoreAsset implements ContentAsset {
    readonly isInline: boolean;
    private readonly metadata;
    private readonly objectStoreName;
    private readonly sourceAndHash;
    private readonly compressedSourcesAndHashes;
    constructor(metadata: ContentAssetMetadataMapEntryObjectStore, objectStoreName: string);
    get assetKey(): string;
    getStoreEntry(acceptEncodings?: ContentCompressionTypes[]): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
export declare class ContentAssets extends AssetManager<ContentAsset> {
    constructor(objectStoreName: string | null, contentAssetMetadataMap: ContentAssetMetadataMap);
}
//# sourceMappingURL=content-assets.d.ts.map